X962Parameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x9

## Class X962Parameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x9.X962Parameters

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class X962Parameters
      extends ASN1Object
      implements ASN1Choice

  The Parameters ASN.1 CHOICE from X9.62.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X962Parameters(ASN1Null obj)`
    `X962Parameters(ASN1ObjectIdentifier namedCurve)`
    `X962Parameters(X9ECParameters ecParameters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static X962Parameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static X962Parameters` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `getParameters()`
    `boolean` | `isImplicitlyCA()`
    `boolean` | `isNamedCurve()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X962Parameters

          public X962Parameters(X9ECParameters ecParameters)

    - #### X962Parameters

          public X962Parameters(ASN1ObjectIdentifier namedCurve)

    - #### X962Parameters

          public X962Parameters(ASN1Null obj)

  - ### Method Detail

    - #### getInstance

          public static X962Parameters getInstance(java.lang.Object obj)

    - #### getInstance

          public static X962Parameters getInstance(ASN1TaggedObject obj,
                                                   boolean explicit)

    - #### isNamedCurve

          public boolean isNamedCurve()

    - #### isImplicitlyCA

          public boolean isImplicitlyCA()

    - #### getParameters

          public ASN1Primitive getParameters()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           Parameters ::= CHOICE {
              ecParameters ECParameters,
              namedCurve   CURVES.&id({CurveNames}),
              implicitlyCA NULL
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.